Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.gui.components
Class UsersTree

    java.lang.Object
      vut.msa.gui.components.UsersTree

All Implemented Interfaces:
  java.io.Serializable

    public class UsersTree

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UsersTree()` Konštruktor triedy.

Method Summary
`org.richfaces.model.TreeNode` | `getRoot()`
`User` | `getSelectedNode()`
`org.richfaces.model.TreeNode` | `getTree()` Metoda nacita udaje do stromu uzivatelov a potom vrati tento strom.
`void` | `processSelection(org.richfaces.event.NodeSelectedEvent event)` Metoda sluzi na spracovanie udalosti vyberu uzivatela v strome.
`void` | `removeSelectedUser(javax.faces.event.ActionEvent event)` Metoda zmaze vybraneho uzivatela z databazy.
`void` | `setRoot(org.richfaces.model.TreeNode root)`
`void` | `setSelectedNode(User selectedUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsersTree

    public UsersTree()

  Konštruktor triedy.

Method Detail

### getRoot

    public org.richfaces.model.TreeNode getRoot()

### setRoot

    public void setRoot(org.richfaces.model.TreeNode root)

### getSelectedNode

    public User getSelectedNode()

### setSelectedNode

    public void setSelectedNode(User selectedUser)

### getTree

    public org.richfaces.model.TreeNode getTree()

  Metoda nacita udaje do stromu uzivatelov a potom vrati tento strom.

  Returns:
    strom uzivatelov

### processSelection

    public void processSelection(org.richfaces.event.NodeSelectedEvent event)

  Metoda sluzi na spracovanie udalosti vyberu uzivatela v strome. Vybrany uzivatel je ulozeny do objektu selectedUser tejto triedy.

  Parameters:
    `event` - udalost vyberu polozky v strome

### removeSelectedUser

    public void removeSelectedUser(javax.faces.event.ActionEvent event)

  Metoda zmaze vybraneho uzivatela z databazy. V pripade, ze sa zmazanie z databazy podari, uzivatel je odstraneny aj zo stromu uzivatelov.

  Parameters:
    `event` - udalost stlacenie tlacidla pre zmazanie uzivatela

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD